package com.actionsoft.apps.wechat.demo;

import java.util.ArrayList;
import java.util.List;

import com.actionsoft.apps.listener.PluginListener;
import com.actionsoft.apps.resource.AppContext;
import com.actionsoft.apps.resource.plugin.profile.AWSPluginProfile;
import com.actionsoft.apps.resource.plugin.profile.DCPluginProfile;
import com.actionsoft.apps.resource.plugin.profile.WechatPluginProfile;
import com.actionsoft.apps.wechat.demo.event.ProcessorNormalMssageDemo;
import com.actionsoft.apps.wechat.demo.event.TempFileProcessor;

public class Plugins implements PluginListener {

	public Plugins() {
	}

	@Override
	public List<AWSPluginProfile> register(AppContext context) {
		List<AWSPluginProfile> list = new ArrayList<AWSPluginProfile>();
		// 注册Wechat消息监听器
		list.add(new WechatPluginProfile(ProcessorNormalMssageDemo.class.getName(), "处理各种消息的演示代码"));
		// 演示上传、下载素材文件
		list.add(new DCPluginProfile("tmp", TempFileProcessor.class.getName(), "演示上传、下载素材文件", false));
		return list;
	}

}
