package com.actionsoft.apps.wechat.demo.send;

import java.util.HashMap;
import java.util.Map;

import com.actionsoft.bpms.commons.mvc.view.ResponseObject;
import com.actionsoft.bpms.commons.wechat.bean.WechatMessage;
import com.actionsoft.bpms.server.fs.DCContext;
import com.actionsoft.bpms.server.fs.dc.DCProfileManager;
import com.actionsoft.sdk.local.SDK;

import net.sf.json.JSONObject;

public class SendAPIDemo {

	public SendAPIDemo() {
		// TODO Auto-generated constructor stub
	}

	// 发送消息
	private static void testSendMessage() {
		String aslp = "aslp://com.actionsoft.apps.wechat/sendMessage";
		// 参数定义列表
		Map<String, Object> params = new HashMap<String, Object>();
		WechatMessage msg = WechatMessage.TEXT().agentId("3").content("Hi, AWS PaaS!").toParty("1").build();
		// 要发送的消息,参数必须
		params.put("message", msg.toJson());
		// 企业号CorpId,参数必须
		params.put("corpId", "wx5ec21f20a82f7cfb");
		// 执行API
		ResponseObject ro = SDK.getAppAPI().callASLP(SDK.getAppAPI().getAppContext("com.actionsoft.apps.wechat.demo"), aslp, params);
		if (ro.isOk()) {
			// todo
		} else {
			// todo
		}
	}

	// 上传素材
	private static void testUploadMedia() {
		String aslp = "aslp://com.actionsoft.apps.wechat/uploadMeida";
		// 参数定义列表
		Map<String, Object> params = new HashMap<String, Object>();
		// 媒体类型，参数必须
		params.put("mediaType", "image");
		// 从DC处理要上传的文件,参数必须
		DCContext dcContext = new DCContext(null, DCProfileManager.getDCProfile("com.actionsoft.apps.wechat.demo", "tmp"), "com.actionsoft.apps.wechat.demo", "gv", "fv", "hello.png");
		params.put("dcContext", dcContext.toJson());
		// 企业号CorpId,参数必须
		params.put("corpId", "wx5ec21f20a82f7cfb");
		// 执行API
		ResponseObject ro = SDK.getAppAPI().callASLP(SDK.getAppAPI().getAppContext("com.actionsoft.apps.wechat.demo"), aslp, params);
		System.out.println(ro.toString());
		if (ro.isOk()) {
			JSONObject json = ro.toJsonObject();
			JSONObject data = json.getJSONObject("data");
			// 素材资源Id
			String mediaId = data.getString("mediaId");
		} else {
			// todo
		}
	}

	// 下载素材
	private static void testDownloadMedia(String mediaId) {
		String aslp = "aslp://com.actionsoft.apps.wechat/downloadMeida";
		// 参数定义列表
		Map<String, Object> params = new HashMap<String, Object>();
		// 要下载的素材mediaId,参数必须
		params.put("mediaId", mediaId);
		// 企业号CorpId,参数必须
		params.put("corpId", "wx5ec21f20a82f7cfb");
		// 从DC处理要下载的文件,参数必须
		DCContext dcContext = new DCContext(null, DCProfileManager.getDCProfile("com.actionsoft.apps.wechat.demo", "tmp"), "com.actionsoft.apps.wechat.demo", "gv", "fv", "hello.png");
		params.put("dcContext", dcContext.toJson());
		// 执行API
		ResponseObject ro = SDK.getAppAPI().callASLP(SDK.getAppAPI().getAppContext("com.actionsoft.apps.wechat.demo"), aslp, params);
		System.out.println(ro.toString());
		if (ro.isOk()) {
			// todo
		} else {
			// todo
		}
	}

	public static void main(String[] args) {
	}

}
